Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class InboxAgent

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.InboxAgent

All Implemented Interfaces:
  Item

Direct Known Subclasses:
  PingDisplay, RegistrationDisplayTemplate

public abstract class InboxAgent
extends SDO

Field Summary
`DBApplication.Row` | `app`
`DBAccount.Row` | `currentAccount`
`String` | `gkey`
`DBInbox.Row` | `inbox`
`Map` | `properties`
`DBUser.Row` | `user`
`String` | `war`

Constructor Summary
`InboxAgent()`

Method Summary
`void` | `content(String t)` Append content, encode markup characters.
`void` | `createInboxMsg(String description, DBSystem.Row system)` A convenience method for adding an Inbox agent to the inbox table.
`void` | `eval(Map properties, List args, ClassLoader cl)` Invoked when an application is started (appDir) or when an inbox row is selected by the user.
`void` | `expandProperty(String propertyName)` Expands the property specified by the propertyName
`QSchemaFactory` | `getFactory()` This method is overidden by classes which use the process/reply logic.
`abstract void` | `initInput()` Initializalization of the input display--process the input, send messages and add the inbox agent to DBInbox.
`void` | `initResult()` Initialization of the result display.
`void` | `markup(String t)` Append markup.
`String` | `process(String arg)` Process the template arguments for the input or result display.
`String` | `processCommon(String arg)` Common template argument processing provided as a convenience method.
`abstract String` | `processInput(String arg)` Process the template arguments for the input display.
`String` | `processResult(String arg)` Process the template arguments for the result display.
`boolean` | `refresh()`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getAction, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    public Map properties

### gkey

    public String gkey

### inbox

    public DBInbox.Row inbox

### war

    public String war

### app

    public DBApplication.Row app

### user

    public DBUser.Row user

### currentAccount

    public DBAccount.Row currentAccount

Constructor Detail

### InboxAgent

    public InboxAgent()

Method Detail

### getFactory

    public QSchemaFactory getFactory()

  Description copied from class: `SDO`
  This method is overidden by classes which use the process/reply logic.
  Overrides:
    `getFactory` in class `SDO`

### eval

    public final void eval(Map properties,
                           List args,
                           ClassLoader cl)
                    throws Exception

  Invoked when an application is started (appDir) or when an inbox row is selected by the user.
  Overrides:
    `eval` in class `SDO`

### initInput

    public abstract void initInput()
                            throws Exception

  Initializalization of the input display--process the input, send messages and add the inbox agent to DBInbox.

### initResult

    public void initResult()
                    throws Exception

  Initialization of the result display.

### createInboxMsg

    public final void createInboxMsg(String description,
                                     DBSystem.Row system)
                              throws Exception

  A convenience method for adding an Inbox agent to the inbox table.

### expandProperty

    public final void expandProperty(String propertyName)
                              throws Exception

  Expands the property specified by the propertyName

### markup

    public void markup(String t)

  Append markup.

### content

    public void content(String t)

  Append content, encode markup characters.

### process

    public final String process(String arg)
                         throws Exception

  Process the template arguments for the input or result display.

### processInput

    public abstract String processInput(String arg)
                                 throws Exception

  Process the template arguments for the input display.

### processResult

    public String processResult(String arg)
                         throws Exception

  Process the template arguments for the result display.

### processCommon

    public String processCommon(String arg)
                         throws Exception

  Common template argument processing provided as a convenience method.

### refresh

    public boolean refresh()
                    throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD